Package org.eclipse.mat.ui

# Class SnapshotHistoryService.Entry

java.lang.Object
org.eclipse.mat.ui.SnapshotHistoryService.Entry

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SnapshotHistoryService

public static class SnapshotHistoryService.Entry extends Object implements Serializable

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getEditorId()`
`Long`
`getFileLength()`
`String`
`getFilePath()`
`Serializable`
`getInfo()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getFileLength

public Long getFileLength()

### getEditorId

public String getEditorId()

### getFilePath

public String getFilePath()

### getInfo

public Serializable getInfo()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`